CHATMASTER
MG Chat requires a Java Compatible web browser to run.